Luxor PlatformAPI DocumentationEnergySites
Report energy data
Report energy for an existing site in batches. Reference the getting started documentation here for more information on how you should report load.
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
site_id*Site Id
The UUID of the site to report energy for
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/energy/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/report-energy" \ -H "Content-Type: application/json" \ -d '{ "reports": [ { "load_kw": "50.5", "load_type": "actual", "timestamp": "2025-04-09T12:00:00Z" }, { "load_kw": "60.2", "load_type": "estimate", "timestamp": "2025-04-09T13:00:00Z" } ] }'{ "results": [ {} ], "summary": {}, "url": "string"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}